Class UmlActivityParameter

Declaration :

- C++ : class UmlActivityParameter : public UmlBaseActivityParameter
- Java : class UmlActivityParameter extends UmlBaseActivityParameter

Artifact : UmlActivityParameter

Operation UmlActivityParameter

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlActivityParameter(in id : item_id, in s : string) :
- C++ : public: UmlActivityParameter(void * id, const QCString & s) : UmlBaseActivityParameter(id, s)
- Java : public UmlActivityParameter(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , create , defaultValue , defined_ , deleteIt , description , direction , effect , getIdentifier , identifier_ , inState , isControlType , isException , isMarked , isStream , isToolRunning , isUnique , isWritable , javaSelection , kind , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_DefaultValue , set_Description , set_Direction , set_Effect , set_InState , set_IsControlType , set_IsException , set_isMarked , set_IsStream , set_IsUnique , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload , unload